Examplary
Start for free
Developer docs

Report app status

POSThttps://api.examplary.ai/org/apps/{appId}/status

Lets the first-party service behind an app report what it last did, e.g. a sync, which the dashboard shows on the app's card. Only for OAuth client-credentials tokens.

Path parameters

appIdstringrequired

Request body

statestringrequired

Allowed values:idlerunningsuccessfailed

startedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
finishedAtstring· date-time· pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
messagestring· max length: 2000

Error or short summary

summaryobject

Flat counts, e.g. { studentsCreated: 12 }

Responses

200 — The installation, with its new status.

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

404 — The app is not installed in the workspace.

429 — Rate limit exceeded

Requirements

Rate limit

300 requests per minute per user.

OAuth scopes

This endpoint requires the apps:write scope to be present.